Bug 1705 - 1st installation doesn\'t check the new dictionary in at a running dictd
: 1st installation doesn\'t check the new dictionary in at a running dictd
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/dict-deu-eng)
: unstable
: all Linux
: P5 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-12-12 15:32 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-12-12 15:32:07
When the package is installed for the first time, a running dictd is not forced
to reload its configuration. Thus the new dictionary isn\'t visible. (This is a
concern of the postinstall script.)

When the package is removed, the dictionary should be checked out. The
reconfiguratuion of dictd should be done 
postunsinstall script, since that\'s the moment when the files have actually
been removed.

The \'condreload\' command is preferrable here over \'conrestart\' (see #1704).

---
$ apt-get install dict-deu-eng
$ dict Wasser
# it is not found at localhost

---
dict-deu-eng-0.2-alt1
------- Comment #1 From 2002-12-12 15:36:56 -------
The same applies to: dict-engcom-0.4-alt1, dict-mueller7-utf8-1.2-alt2,
dict-eng-deu-0.2-alt1.
------- Comment #2 From 2002-12-12 15:36:56 -------
The same applies to: dict-engcom-0.4-alt1, dict-mueller7-utf8-1.2-alt2,
dict-eng-deu-0.2-alt1.
------- Comment #3 From 2003-02-04 19:57:06 -------
fixed in dict-eng-deu-0.2-alt2
------- Comment #4 From 2003-02-04 19:57:06 -------
fixed in dict-eng-deu-0.2-alt2